Subject: Re: bug#33647: First `guix pull' behaves unexpectedly

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 06 Dec 2018 16:42:11 +0100

Hi Diego,

> Hello Guix,
>
> The first time a user runs ‘guix pull’ after a fresh install it does not
> seem to update guix.  ‘guix --version’ reports that guix is still
> version 0.15.0 after running ‘guix pull’, instead of showing the hash of
> the latest commit.

“guix pull” should have reminded you to add ~/.config/guix/current/bin
to the front of your PATH environment variable.  When you do that you
will be using the new version of Guix.

-- 
Ricardo